MozTW 討論區

各項 Mozilla 相關軟體與技術討論
現在的時間是 2019-08-25, 01:03

所有顯示的時間為 UTC + 8 小時





發表新文章 回覆主題  [ 4 篇文章 ] 
發表人 內容
文章發表於 : 2009-07-04, 19:54 
離線
[網站管理員]
頭像

註冊時間: 2006-11-22, 16:07
文章: 560
 
   如何查看擴充套件相容性
 
  • AMO,每個套件都有寫明相容版本。如下:
    引言回覆:
    相容於:
    Firefox: 2.0 – 3.6a1pre

    此外,AMO附加元件相容性中心,可以依使用率大小排序,列出所有元件的相容性。
     
  • 一些套件沒發表於AMO上,例如:keyconfig,可下載.xpi檔,使用解壓縮程式檢視.xpi檔裡的 install.rdf 。找到<id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</id>,這是火狐的代號,在這一行之下,有兩行minVersion、maxVersion標示了Fx的最小與最大相容版本。如下:
    引言回覆:
    <targetApplication><rdf:Description>
    <id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</id>
    <minVersion>2.0.0.17</minVersion>
    <maxVersion>3.0.3</maxVersion>
    </rdf:Description></targetApplication>

    圖檔
     
  • 如果你安裝了MR Tech Toolkit,則可以在 [工具(T)]/[附加元件(A)]/[擴充套件],看到已安裝的套件的相容性資訊。如下圖:
    圖檔


 
 
 
   如何對擴充套件強制相容
    注意:強制相容的套件不一定會正常運作。強制相容前,請備份Firefox。

  • 如果你安裝了MR Tech Toolkit,則可以在 [工具(T)]/[附加元件(A)]/[擴充套件],對不相容的套件右鍵,使此項目設為相容。或者安裝Nightly Tester Tools(NTT),也可以對擴充套件強制相容。
    圖檔
     
  • 我們也可以修改.xpi檔裡 install.rdf 所設定Fx的最大版本號。使用解壓縮程式檢視.xpi檔裡的 install.rdf 。找到<id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</id>,這是火狐的代號,在這一行之下,有行maxVersion標示了Fx的最大相容版本。把maxVersion的版號改大,如:9.9,再進行安裝,即可強制相容。
    引言回覆:
    <targetApplication><rdf:Description>
    <id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</id>
    <minVersion>2.0.0.17</minVersion>
    <maxVersion>9.9</maxVersion>
    </rdf:Description></targetApplication>

    圖檔
     
  • 還有一種方法,在 about:config 中新建一個真假值extensions.checkCompatibility.3.6,把值設為fasle。(同理,在 Firefox 3.7 ,extensions.checkCompatibility.3.7)
    注意:extensions.checkCompatibility.版本號 的修改將套用至所有套件,日後安裝時不會提醒不相容,個人建議使用前述兩種方法,別用此法。
  • 如果你是喜歡使用 alpha 或 beta 版本的測試員,可以選擇安裝 Mozilla 官方的 Add-on Compatibility Reporter它會啟用全部不相容的套件,測試員可以向 AMO 回報不相容的套件是否在新版下使用正常。[1]


附加檔案:
檔案註釋: 使用解壓縮程式檢視.xpi檔裡的 install.rdf
xpi7z.png [15.35 KiB]
被下載 513 次
檔案註釋: MR Tech Toolkit 強制相容
compatibleMRTT.PNG [5 KiB]
被下載 11670 次

_________________


最後由 shyangs 於 2012-02-01, 13:01 編輯,總共編輯了 4 次。
Fx 10 之後,套件預設相容。取消置頂。
回頂端
Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-TW; rv:1.9.1) Gecko/20090624 Firefox/3.5
 個人資料  
引用回覆  
文章發表於 : 2011-07-23, 08:07 
離線
頭像

註冊時間: 2009-12-02, 17:48
文章: 43
超實用的教學,太謝謝你了
剛好處理掉我的不相容問題


回頂端
Mozilla/5.0 (Windows NT 6.1; rv:8.0a1) Gecko/20110722 Firefox/8.0a1
 個人資料  
引用回覆  
文章發表於 : 2011-08-24, 21:01 
離線

註冊時間: 2011-06-28, 19:57
文章: 2
以上2種方法都失敗 都不支援最新版 只剩改甚麼檔的那沒試 ~''~


回頂端
Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0
 個人資料  
引用回覆  
文章發表於 : 2011-10-17, 17:35 
離線
頭像

註冊時間: 2008-08-06, 11:16
文章: 7
來自: Firefox Rules!!
雙魚明誌 寫:
以上2種方法都失敗 都不支援最新版 只剩改甚麼檔的那沒試 ~''~


現在只要裝Add-on Compatibility Reporter
就可以了。裝了重啟之後FX會自動停止相容性檢查。


回頂端
Mozilla/5.0 (Windows NT 5.1; rv:9.0a2) Gecko/20111016 Firefox/9.0a2
 個人資料  
引用回覆  
顯示文章 :  排序  
發表新文章 回覆主題  [ 4 篇文章 ] 

所有顯示的時間為 UTC + 8 小時


誰在線上

正在瀏覽這個版面的使用者:Bing [Bot] 和 5 位訪客


不能 在這個版面發表主題
不能 在這個版面回覆主題
不能 在這個版面編輯您的文章
不能 在這個版面刪除您的文章
不能 在這個版面上傳附加檔案

搜尋:
前往 :  
Powered by phpBB® Forum Software © phpBB Group
正體中文語系由 竹貓星球 維護製作
© moztw.org, Mozilla Foundation
MozTW,Mozilla 台灣社群